SslConfig (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.client

## Class SslConfig

- java.lang.Object
- - com.sleepycat.client.SslConfig

-     public class SslConfig
      extends java.lang.Object

  Specifies the attributes used to setup SSL connections.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SslConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SslConfig` | `setKeyStore(java.lang.String keyStore, java.lang.String keyPass)` Configure key store parameters.
    `SslConfig` | `setKeyStore(java.lang.String keyStore, java.lang.String keyPass, java.lang.String keyManagerType, java.lang.String keyStoreType)` Configure key store parameters.
    `SslConfig` | `setTrustStore(java.lang.String trustStore, java.lang.String trustPass)` Configure trust store parameters.
    `SslConfig` | `setTrustStore(java.lang.String trustStore, java.lang.String trustPass, java.lang.String trustManagerType, java.lang.String trustStoreType)` Configure trust store parameters.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SslConfig

          public SslConfig()

  - ### Method Detail

    - #### setKeyStore

          public SslConfig setKeyStore(java.lang.String keyStore,
                                       java.lang.String keyPass,
                                       java.lang.String keyManagerType,
                                       java.lang.String keyStoreType)

      Configure key store parameters.
      Parameters:
        `keyStore` - the path to the key store
        `keyPass` - the password to access the key store
        `keyManagerType` - the KeyManager type
        `keyStoreType` - the KeyStore type
      Returns:
        this

    - #### setKeyStore

          public SslConfig setKeyStore(java.lang.String keyStore,
                                       java.lang.String keyPass)

      Configure key store parameters.
      Parameters:
        `keyStore` - the path to the key store
        `keyPass` - the password to access the key store
      Returns:
        this

    - #### setTrustStore

          public SslConfig setTrustStore(java.lang.String trustStore,
                                         java.lang.String trustPass,
                                         java.lang.String trustManagerType,
                                         java.lang.String trustStoreType)

      Configure trust store parameters.
      Parameters:
        `trustStore` - the path to the trust store
        `trustPass` - the password to access the trust store
        `trustManagerType` - the TrustManager type
        `trustStoreType` - the TrustStore type
      Returns:
        this

    - #### setTrustStore

          public SslConfig setTrustStore(java.lang.String trustStore,
                                         java.lang.String trustPass)

      Configure trust store parameters.
      Parameters:
        `trustStore` - the path to the trust store
        `trustPass` - the password to access the trust store
      Returns:
        this

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.